Subject: Re: [mpls] Text proposal on draft-ietf-mpls-tp-aps-updates

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 1 Sep 2016 10:10:14 +0100

Jeong-dong, all,

Although I don't have an implementation, I am in favour of fixing our RFCs, so I support moving this document forward.

The motivation for your changes looks good. Just some polish to what you propose...

> 4.3.   Operation related to State Transition Table Lookup
>
> In addition to the rules related to the state transition table 
> lookup listed in Section 11 of [RFC7271], the following rule is 
> also applied to the operation related to the state transition 
> table lookup:   
>  O When the local SF-P is cleared and the priorities of the 
>    local and remote requests are re-evaluated, 
>    the last received remote message may not be valid any more 
>    due to the previous failure of the protection path and only 
>    the local request SHALL be evaluated assuming that the 
>    remote request is NR. 

Suggest to break this into two sentences for clarity. I think I have captured your meaning.

  O When the local SF-P is cleared and the priorities of the 
    local and remote requests are re-evaluated, 
    the last received remote message may not be valid any more 
    due to the previous failure of the protection path. Therefore,
    the last received message MUST be treated as if it were NR
    and only the local request shall be evaluated.

Thanks,
Adrian

---

From: "Ryoo, Jeong-dong " <[email-masked]>
Date: Thu, 1 Sep 2016 09:38:11 +0000

Thank you for your review and support, Adrian.

Yes, you captured it correctly.

When a revised draft is uploaded, it should show your suggested text.

Best regards,

Jeong-dong

________________________________
보낸 사람 : "Adrian Farrel" <[email-masked]>
보낸 날짜 : 2016-09-01 18:10:26 ( +09:00 )
받는 사람 : 류정동 <[email-masked]>, [email-masked] <[email-masked]>
참조 : [email-masked] <[email-masked]>
제목 : RE: [mpls] Text proposal on draft-ietf-mpls-tp-aps-updates

Jeong-dong, all,

Thanks,

Adrian